Studies
Create Study With Participants
Create a BYOP study and its participant invitations in one request.
POST
/
api
/
public
/
v1
/
studies
/
create-with-participants
Create Study With Participants
curl --request POST \
--url https://api.userintuition.ai/api/public/v1/studies/create-with-participants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"study": {
"name": "AI research tool shortlist",
"study_type": "in-depth-interview",
"recruiting_method": "byop",
"interview_format": "voice",
"voice": "male",
"language": "en",
"expected_duration_seconds": 1080,
"study_plan": {
"objectives": "Understand what triggers startup CEOs to evaluate AI-powered research tools, how they build a shortlist, and what proof makes a provider credible.",
"conversation_flow": "Discuss the last important customer-research decision, how the CEO gathered input, why they considered an AI tool, alternatives they compared, trust thresholds, and evidence needed to shortlist one.",
"background": "Research into the earliest evaluation stage for AI research tools."
},
"byop_config": {
"incentive_amount": 123,
"is_incentives_enabled": true,
"auto_send_incentives": true
}
},
"participants": [
{
"email": "alex@example.com",
"silent": false
},
{
"email": "sam@example.com",
"silent": true
}
]
}
'import requests
url = "https://api.userintuition.ai/api/public/v1/studies/create-with-participants"
payload = {
"study": {
"name": "AI research tool shortlist",
"study_type": "in-depth-interview",
"recruiting_method": "byop",
"interview_format": "voice",
"voice": "male",
"language": "en",
"expected_duration_seconds": 1080,
"study_plan": {
"objectives": "Understand what triggers startup CEOs to evaluate AI-powered research tools, how they build a shortlist, and what proof makes a provider credible.",
"conversation_flow": "Discuss the last important customer-research decision, how the CEO gathered input, why they considered an AI tool, alternatives they compared, trust thresholds, and evidence needed to shortlist one.",
"background": "Research into the earliest evaluation stage for AI research tools."
},
"byop_config": {
"incentive_amount": 123,
"is_incentives_enabled": True,
"auto_send_incentives": True
}
},
"participants": [
{
"email": "alex@example.com",
"silent": False
},
{
"email": "sam@example.com",
"silent": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
study: {
name: 'AI research tool shortlist',
study_type: 'in-depth-interview',
recruiting_method: 'byop',
interview_format: 'voice',
voice: 'male',
language: 'en',
expected_duration_seconds: 1080,
study_plan: {
objectives: 'Understand what triggers startup CEOs to evaluate AI-powered research tools, how they build a shortlist, and what proof makes a provider credible.',
conversation_flow: 'Discuss the last important customer-research decision, how the CEO gathered input, why they considered an AI tool, alternatives they compared, trust thresholds, and evidence needed to shortlist one.',
background: 'Research into the earliest evaluation stage for AI research tools.'
},
byop_config: {incentive_amount: 123, is_incentives_enabled: true, auto_send_incentives: true}
},
participants: [
{email: 'alex@example.com', silent: false},
{email: 'sam@example.com', silent: true}
]
})
};
fetch('https://api.userintuition.ai/api/public/v1/studies/create-with-participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"study": {
"id": "<string>",
"study_type": "in-depth-interview",
"provisioning_status": "draft",
"fielding_status": "not_started",
"name": "<string>",
"use_case": "<string>",
"recruiting_method": "panel",
"interview_format": "chat",
"voice": "male",
"language": "<string>",
"expected_duration_seconds": 900,
"byop_config": {
"incentive_amount": 123,
"is_incentives_enabled": true,
"auto_send_incentives": true
},
"study_link": "<string>",
"dashboard_url": "<string>",
"missing_requirements": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"interview_count": 123,
"report_status": "available",
"study_plan": {
"objectives": "<string>",
"conversation_flow": "<string>",
"background": "<string>",
"learning_goals": "<string>",
"learning_goals_structured": [
{
"id": "<string>",
"question": "<string>",
"evidence_needed": "<string>"
}
],
"study_specific_rules": "<string>",
"study_improvements": "<string>"
},
"screener_questions": [
{
"id": "<string>",
"text": "<string>",
"type": "single_select",
"order": 123,
"options": [
{
"id": "<string>",
"text": "<string>",
"disqualify": true,
"selection_rule": "must_select"
}
],
"input_mode": "integers_only",
"numeric_ranges": [
{
"min": 1,
"max": 1
}
]
}
],
"targeting_attributes": [
{
"qualification_id": 123,
"allowed_options": [
123
],
"disallowed_options": [
123
]
}
],
"resolved_targeting": [
{
"qualification_id": 123,
"attribute": "<string>",
"active": true,
"include": [
"<string>"
],
"exclude": [
"<string>"
],
"applies_to": "panel",
"approximation_note": "<string>"
}
],
"concept_links": [
{
"id": "<string>",
"url": "<string>",
"label": "<string>",
"embeddable": true
}
],
"concept_images": [
{
"id": "<string>",
"url": "<string>",
"label": "<string>"
}
],
"invitation_count": 123,
"interview_attempt_count": 123,
"quality_interview_count": 123
},
"participants": [
{
"id": "<string>",
"status": "created",
"external_id": "<string>",
"metadata": {},
"study_id": "<string>",
"email": "<string>",
"interview_link": "<string>",
"interview_count": 0,
"reward_sent": true,
"reward_sent_at": "2023-11-07T05:31:56Z",
"invite_sent_at": "2023-11-07T05:31:56Z",
"invite_created_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}Authorizations
Authenticate with an API key (prefixed ui_sk_) or a JWT token from the dashboard.
Headers
Platform admins only: choose an organization for scoped reads and writes. Required to change another organization's study or use its wallet.
Maximum string length:
128Body
application/json
Create a ready BYOP study and its participants in one request.
Was this page helpful?
⌘I
Create Study With Participants

